<?php

namespace App\Rules;

use Closure;
use Illuminate\Contracts\Validation\ValidationRule;

class PhoneNumber implements ValidationRule
{
    public function validate(string $attribute, mixed $value, Closure $fail): void
    {
        if (! preg_match('/^08\d{8,11}$/', $value)) {
            $fail('Nomor telepon harus diawali dengan 08 dan terdiri dari 10-13 digit.');
        }
    }
}
